Botan 2.19.5 Crypto and TLS for C&

Namespaces | Macros
sm4_armv8.cpp File Reference
`#include <botan/sm4.h>`
`#include <arm_neon.h>`

Go to the source code of this file.

## Namespaces
namespace | Botan

## Macros
#define | SM4_E(B0, B1, B2, B3, K)

## Macro Definition Documentation

## ◆ SM4_E

#define SM4_E | ( |  | B0,
|  |  | B1,
|  |  | B2,
|  |  | B3,
|  |  | K
| ) |  |

Value:
do { \
B0 = vsm4eq_u32(B0, K); \
B1 = vsm4eq_u32(B1, K); \
B2 = vsm4eq_u32(B2, K); \
B3 = vsm4eq_u32(B3, K); \
} while(0)

Definition at line 41 of file sm4_armv8.cpp.